﻿Public Class EditForm
  Public HandObject As NeedleType
  Dim Selected As Boolean

  Public Sub ReDisplayValues()
    Label3.Text = HandObject.hand_cx.ToString("0")
    Label4.Text = HandObject.hand_cy.ToString("0")
    Label5.Text = HandObject.angle.ToString("0")
    Label7.Text = HandObject.scaleFactor.ToString("0.000")
  End Sub

  Private Sub Label3_MouseMove(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles Label3.MouseMove
    'Adjusts the value, by dragging on the label, of the X center of rotation point of the image in the handObject 
    Static lx As Single
    If e.Button = Windows.Forms.MouseButtons.Left Then
      HandObject.hand_cx += (e.X - lx) * 0.5
      Label3.Text = HandObject.hand_cx.ToString("0")
      Form1.picClockDisplay.Invalidate()
    End If
    lx = e.X
  End Sub

  Private Sub Label4_MouseMove(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles Label4.MouseMove
    'Adjusts the value, by dragging on the label, of the Y center of rotation point of the image in the handObject 
    Static lx As Single
    If e.Button = Windows.Forms.MouseButtons.Left Then
      HandObject.hand_cy += (e.X - lx) * 0.5
      Label4.Text = HandObject.hand_cy.ToString("0")
      Form1.picClockDisplay.Invalidate()
    End If
    lx = e.X
  End Sub

  Private Sub Label5_MouseMove(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles Label5.MouseMove
    'Adjusts the Angle of the object
    Static lx As Single
    If e.Button = Windows.Forms.MouseButtons.Left Then
      HandObject.angle += (e.X - lx) '* 0.5
      If HandObject.angle < 0.0F Then
        HandObject.angle += 360.0F
      ElseIf HandObject.angle >= 360 Then
        HandObject.angle -= 360
      End If
      Label5.Text = HandObject.angle.ToString("0")
      Form1.picClockDisplay.Invalidate()
    End If
    lx = e.X
  End Sub

  Private Sub Label7_MouseMove(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles Label7.MouseMove
    'Adjusts the scalefacter of the object
    Static lx As Single
    If e.Button = Windows.Forms.MouseButtons.Left Then
      HandObject.scaleFactor += (e.X - lx) * 0.001
      Label7.Text = HandObject.scaleFactor.ToString("0.000")
      Form1.picClockDisplay.Invalidate()
    End If
    lx = e.X
  End Sub

  Private Sub Label9_MouseMove(sender As System.Object, e As System.Windows.Forms.MouseEventArgs) Handles Label9.MouseMove
    'Adjusts the Angle of the object by converting Value to angle
    Static lx As Single
    Static psiValue As Single

    If e.Button = Windows.Forms.MouseButtons.Left Then
      psiValue += e.X - lx
      psiValue = Math.Max(-10, Math.Min(psiValue, 630))
      HandObject.angle = psiValue * 0.44833
      Label9.Text = psiValue.ToString("0")
      Label5.Text = HandObject.angle.ToString("0")

      Form1.picClockDisplay.Invalidate()
    End If
    lx = e.X
  End Sub
End Class